For the complete documentation index, see llms.txt. This page is also available as Markdown.

TransferAsset

First step to transfer Taproot Assets to an address. Virtual psbts for active assets and passive assets will be returned in response for user's first time sign.

POST /api/transfer-asset

Headers

Name
Value

Content-Type

application/json

Authorization

Bearer <token>

Body

Name
Type
Description

wallet_id

string

The end user's wallet id

address

string

Taproot Assets address to send this asset to.

Request

{
  "wallet_id": "10e21d53-82d3-43d6-99bc-03ea6945d902",
  "address": "taprt1qqqsqqspqqzzpghdayflqgqyxwpvjl2lrtkz4grl7x7ulyecta3q33sx2r0fmv66qcss98xpemg90uqrndczdd064zazuuhchlk4tvyc3mpq6t4yqncqdht8pqssxv0q4z33mrqgg3dj5unq7fsn835ta3rwfgnx9ws28tu06mk6p38fpgqkkrp0dpshx6rdv95kcw309akkz6tvvfhhstn5v4ex66twv9kzumrfva58gmnfdenjuar0v3shjw35xses3afl9n"  
}

Response

{
    "code": 0,
    "data": {
"virtual_psbts": ["70736274ff01005e0200000001fdb5daf62ea60fbdd7e8a5a8d6fa323e4b56004f6df5ef5c966ad919e32b747c000000000000000000012c01000000000000225120b49e7bff6e54a383c71e63e77adcc46436e63387a981bfb57106cfd91df2cbf7000000000001012b2c0100000000000022512031b33deadec28a8ca2fd68d971a923383ba8c599b2448ddff2d7811d343e7423220603e5a37878f6a05963fcfc4f2640a513aabe564aa033af397b2279ce168e928bf21800000000f903008001000080d4000080000000000a0000002116e5a37878f6a05963fcfc4f2640a513aabe564aa033af397b2279ce168e928bf2190000000000f903008001000080d4000080000000000a000000011720e5a37878f6a05963fcfc4f2640a513aabe564aa033af397b2279ce168e928bf20000"],
"passive_asset_psbts":[]
    },
    "message": "",
    "traceid": "a73c5849-6a10-4bda-a411-d6c236277939"
}
{
  "error": "Invalid request"
}

Last updated